<div class="col-12 mt-4">
  <h1 class="col-6 m-auto">{{title}}</h1>
  <div class="col-6 offset-3 mt-4">
    <form #userEditForm="ngForm" (ngSubmit)="onSubmit(userEditForm)">
      <div *ngIf="status=='success'" class="alert alert-success">{{message}}</div>
      <div *ngIf="status=='error'" class="alert alert-danger">{{message}}</div>
      <p>
        <label for="name">Nombre</label>
        <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control" required
         pattern="[a-zA-ZÀ-ÿ ]+" [ngClass]="{'is-valid':name.valid && name.touched,'is-invalid':!name.valid && name.touched}" />
         <small *ngIf="!name.valid && name.touched" class="invalid-feedback d-block">El nombre no es válido</small>
      </p>
      <p>
        <label for="surname">Apellidos</label>
        <input type="text" id="surname" name="surname" #surname="ngModel" [(ngModel)]="user.surname"class="form-control" required
         pattern="[a-zA-ZÀ-ÿ ]+" [ngClass]="{'is-valid':surname.valid && surname.touched,'is-invalid':!surname.valid && surname.touched}" />
         <small *ngIf="!surname.valid && surname.touched" class="invalid-feedback d-block">El apellido no es válido</small>
      </p>
      <p>
          <label for="email">E-mail</label>
          <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control" required
           pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" [ngClass]="{'is-valid':email.valid && email.touched,'is-invalid':!email.valid && email.touched}" />
           <small *ngIf="!email.valid && email.touched" class="invalid-feedback d-block">El nombre no es válido</small>
      </p>
      <p>
        <label for="avatar">Avatar</label>
        <angular-file-uploader id="avatar"
        [config]="afuConfig"
        [resetUpload]=resetVar
        (ApiResponse)="avatarUpload($event)">
       </angular-file-uploader>
      </p>
      <p>
        <input type="submit" value="Guardar" class="btn btn-success" [disabled]="!userEditForm.form.valid">
      </p>
    </form>
  </div>
</div>